跳至內容
ShopentlyLearn

產品 · 撤回銷售

此操作已停用,回傳409且不會修改資料。請透過接收對象選擇,為每個數位檔案個別設定存取權限。

POST/api/v1/products/{product_id}/file-releases/{release_id}/withdraw

cURL 請求

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request POST \
  --url https://shop.onshopently.com/api/v1/products/example/file-releases/00000000-0000-4000-8000-000000000001/withdraw \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: files-example-withdraw_release_api_v1_products__product_id__file_releases__release_id__withdraw_post' \
  --header 'Content-Type: application/json' \
  --data-raw '{"expected_version":1}'

回應

{
  "error": {
    "code": "resource.state_conflict",
    "fields": null,
    "message": "The current resource state does not allow this operation."
  },
  "meta": {
    "request_id": "example-request"
  }
}

所需權限

身份驗證
存取權杖
最低方案
STANDARD
金鑰權限
管理商品檔案 · 數位商品catalog.product_file:write_digital